<?php

# HA NINCS ID, AKKOR BEVÉTEL KATEGÓRIA LISTA
# HA VAN ID, AKKOR BEVÉTEL KATEGÓRIA ADATINAK MEGTEKINTÉSE/MÓDOSÍTÁSA





if ($this->is_id()) {
	# ADOTT BEVÉTEL KATEGÓRIA ADATINAK MEGTEKINTÉSE/MÓDOSÍTÁSA

	$new_mic = new money_income_category();
	$new_mic->set_mic_data_by_id($this->get_id());

	$smarty->assign("mic", $new_mic);
	$smarty->display("money_income_category_data_edit.tpl");

}
else {
	# BEVÉTEL KATEGÓRIA LISTA
	$mic_query = "SELECT * FROM money_income_category WHERE mic_deleted = 0 AND mic_id != 4 ORDER BY mic_name ASC;";
	$mic_array = array();
	$mic_assoc_array = $sql->assoc_array($mic_query);

	foreach ($mic_assoc_array as $mi) {
		$new_mic = new money_income_category();
		$new_mic->set_mic_data_by_id($mi['mic_id']);
		$mic_array[] = $new_mic;
	}

	$smarty->assign("mic_assoc_array", $mic_array);
	$smarty->display("money_income_category.tpl");

}

?>
